<?
/* Feeditem.php */

/* Class represents a single feed item
 * The Arss class makes an array of these things
 */

class Feeditem {

	var $feedtitle;
	var $feedlink;
	var $feedcolor;
	var $title;
	var $link;
	var $datetime;
	var $color;
	var $summary;
	var $content;

	// Constructor
	function Feeditem( $channel, $item, $color ){

		$this->feedtitle = $channel['title'];
		$this->feedlink  = $channel['link'];
		$this->title     = $item['title'];
		$this->link      = $item['link'];
		$this->content   = $item['description'];
		$this->summary   = $item['summary'];
		$this->color     = $color;

		//	the date is TOO Non-Standard
		if( isset( $item['date_timestamp'] ) ){
			$this->datetime = $item['date_timestamp'];
		}elseif( isset( $item['pubdate'] ) ){
			$this->datetime = parse_w3cdtf( $item['pubdate'] );
		}else{
			$this->datetime = 0;
		}
	}

	// Return Array
	function toArray(){

		$retval = array();
		$retval['feedtitle'] = $this->feedtitle;
		$retval['feedlink']  = $this->feedlink;
		$retval['title']     = $this->title;
		$retval['link']      = $this->link;
		$retval['content']   = $this->content;
		$retval['summary']   = $this->summary;
		$retval['color']     = $this->color;
		$retval['datetime']  = $this->datetime;
		return $retval;

	}

	// Accessor/Mutators
	function feedtitle( ){
		return $this->feedtitle;
	}
	function feedlink( ){
		return $this->feedlink;
	}
	function title( ){
		return $this->title;
	}
	function link( ){
		return $this->link;
	}
	function content( ){
		return $this->content;
	}
	function summary( ){
		return $this->summary;
	}
	function color( ){
		return $this->color;
	}
	function datetime(){
		return $this->datetime;
	}
	


}

?>
