<?
/* index.php */

/* Set the path to the configuration file
 * that way we can keep it out of the web directory 
 * all other configurations made in the config file */

$CONFIG_PATH = './';

// Load config file
include_once( $CONFIG_PATH . 'config.php' );

// Set error array
error_reporting( E_ERROR );
$errors = array();

// Connect to the database using info from config file
$hosturi = $config['sqlhost'];
if( $hosturi != 'localhost' ){
	$hosturi .= ':' . $config['sqlport'];
}
$db = mysql_connect( $hosturi, 
                     $config['sqlusername'],
                     $config['sqlpassword'] )
                     or die( "Error: " . mysql_error() );
@mysql_select_db( $config['sqldatabase'] ) or die( "No Database" );

// Get all of the feed information from the database
$query = "SELECT * FROM feeds";
$result = mysql_query( $query );
$rc = mysql_numrows( $result );

// Parse each feed
$feedarray = array();
for( $i=0; $i < $rc; $i++ ){
	
	$feed = array();
	$feed['url'] = mysql_result( $result, $i, "url" );
	$feed['color'] = mysql_result( $result, $i, "color" );
	
	// Fetch the feed
	$rss = fetch_rss( $feed['url'] );
	

	//check for errors or not
	if( !$rss ){
		$errors[] = time() . '[error] ' . magpie_error();
	}else{
		// Aggregate....
		foreach( $rss->items as $t ){
			if( isset( $feed['color'] ) ){
				$col = $feed['color'];
			}else{
				$col = $config['default_color'];
			}
			$feedarray[] = new Feeditem( $rss->channel, $t, $col );
		}
	}
}

// Sort the feed items
function date_sort( $a, $b ){
	if( $a->datetime() == $b->datetime() ){
		return 0;
	}elseif( $a->datetime() < $b->datetime() ){
		return 1;
	}else{
		return -1;
	}
}

usort( $feedarray, "date_sort" );

/** BEGIN HTML OUTPUT */

print file_get_contents( 'header.html' );

$i = 0;
foreach( $feedarray as $f ){

	print '<div class="story" id="s_' . $i . '">';
	print '<div class="header" id="h_' . $i . '">';
	print '<span class="button" onClick="toggle(\'c_' . $i . '\')">=</span>';
	print date( 'm/d H:i', $f->datetime() ) . ' - ';
	print '<span><a href="' . $f->feedlink() . '">';
	print $f->feedtitle() . '</a></span>';
	print ' - ';
	print '<span><a href="' . $f->link() . '">';
	print $f->title() . '</a></span>';
	print '</div>';
	print '<div class="content" id="c_' . $i . '">';
	print $f->content() . '</div>';
	print '</div>';

	$i++;

}

print file_get_contents( 'footer.html' );

?>
